/* -*- mode: c++; indent-tabs-mode: nil; -*-
 *
 * This file is part of the Mango recipe management distribution.
 * Copyright (c) 2001-2002, Roland Jesse
 * All rights reserved.
 *
 * For license and copyright information see the file COPYRIGHT or 
 * <http://www.opensource.org/licenses/bsd-license.html>.
 *
 * $Id: RecipeMLImporter.h,v 1.7 2003/05/11 16:13:41 rjesse Exp $
 */
 
#ifndef RECIPEML_IMPORTER_H
#define RECIPEML_IMPORTER_H

#include "Importer.h"
#include <qxml.h>

class Ingredient;

/*!
  Class for parsing RecipeML input.
*/
class RecipeMLImporter : public Importer, public QXmlSimpleReader {
      Q_OBJECT
      
   public:
      RecipeMLImporter();
      virtual ~RecipeMLImporter() {} //!< Destructor.
      virtual RecipeModel& apply() throw(Error);
	  
   protected:
	  virtual void readCookbookHeader();
      virtual void readAllRecipes();
	  virtual void readRecipe();
	  virtual void readRecipeHeader();
	  virtual void readRecipeBody();
};
#endif // RECIPEML_IMPORTER_H
